### Method

# Gtk CellArea inner_cell_area

#### Declaration [src]

    void
    gtk_cell_area_inner_cell_area (
      GtkCellArea* area,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      GdkRectangle* inner_area
    )

#### Description [src]

This is a convenience function for `GtkCellArea` implementations to get the inner area where a given `GtkCellRenderer` will be rendered. It removes any padding previously added by gtk_cell_area_request_renderer().

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering onto.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The `widget` relative coordinates where one of `area`’s cells is to be placed.
| The data is owned by the caller of the function.
`inner_area` | `GdkRectangle*`
| The return location for the inner cell area.
| The argument will be set by the function.
| The data is owned by the caller of the function.